package domaine.fichiers;

public enum TypeDeFichier {
    TEXTE("Fichiers texte", "txt", true),
    XML("Fichiers XML", "xml", false),
    BINAIRE("Fichiers d'alarmes", "alrm", true);
	private String lib;
    private String ext;
    private boolean lec;
    private TypeDeFichier(String libelle, String extension, boolean lecture) {
    	lib = libelle;
        ext = extension;
        lec = lecture;
    }
    public String libelle() {
    	return lib;
    }
    public String extension() {
        return ext;
    }
    public boolean enLecture() {
    	return lec;
    }
    public static TypeDeFichier pour(String extension) {
    	for (TypeDeFichier type : TypeDeFichier.values()) {
    		if (extension.equals(type.extension())) return type;
    	}
    	return null;
    }
}
