package vue;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Font;
import java.awt.FlowLayout;
import javax.swing.JDialog;
import javax.swing.JLabel;

import application.Alarmes;

public class DialogueAPropos extends JDialog {
	private static DialogueAPropos uniqueInstance;
	public static DialogueAPropos getInstance() {
		if (uniqueInstance == null) uniqueInstance = new DialogueAPropos();
		return uniqueInstance;
	}
    private DialogueAPropos() {
        super((Frame)null, "A propos de Alarmes", false);
        JLabel etiq;
        Dimension dim = new Dimension(400,30);
        setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
        setSize(400,150); setResizable(false);
        setLayout(new FlowLayout());
        etiq = new JLabel("Application de gestion d'alarmes", JLabel.CENTER);
        etiq.setFont(new Font("Arial", Font.BOLD, 20));
        etiq.setPreferredSize(dim);
        add(etiq);
        etiq = new JLabel("par Philippe", JLabel.CENTER);
        etiq.setFont(new Font("Times", Font.PLAIN, 18));
        etiq.setPreferredSize(dim); etiq.setSize(dim);
        add(etiq);
        etiq = new JLabel(Alarmes.APP_VERSION, JLabel.CENTER);
        etiq.setFont(new Font("Courier New", Font.ITALIC, 16));
        etiq.setPreferredSize(dim); etiq.setSize(dim);
        add(etiq);
    }
    public void affiche() {
        setVisible(true);
    }
}
