package controleur;

import java.awt.event.ActionEvent;

import domaine.ListeDAlarmes;
import vue.FenetreDAlarmes;

public class EcouteurOuvrir extends EcouteurOperationARisque {
	private Controleur leControleur;
    public EcouteurOuvrir(FenetreDAlarmes fenetre, ListeDAlarmes liste, Controleur controleur) {
        super(fenetre, liste, "Ouvrir une liste d'alarmes", "Voulez-vous vraiment ouvrir une liste d'alarmes ?");
        leControleur = controleur;
    }
    public void actionPerformed(ActionEvent e) {
        super.actionPerformed(e);
        if (operationConfirmee) leControleur.charge();
    }
}
